<?php

namespace Bixo\Listing\Forms;

class Company
{
    /**
     * Variable to store form configuration.
     *
     * @var collection
     */
    protected $form;

    /**
     * Variable to store form configuration.
     *
     * @var collection
     */
    protected $element;

    /**
     * Initialize the form.
     *
     * @return null
     */
    public function __construct()
    {
        $this->setForm();
    }

    /**
     * Return form elements.
     *
     * @return array.
     */
    public function form($element = 'fields', $grouped = true)
    {
        $item = collect($this->form->get($element));
        if ($element == 'fields' && $grouped == true) {
            return $item->groupBy(['group', 'section']);
        }
        return $item;

    }

    /**
     * Sets the form and form elements.
     * @return null.
     */
    public function setForm()
    {
        $this->form = collect([
            'form' => [
                'store' => [],
                'update' => [],
            ],
            'groups' => [
                'main' => 'Main',
            ],
            'fields' => [
                'listing_id' => [
                    "type" => 'numeric',
                    "label" => trans('listing::company.label.listing_id'),
                    "placeholder" => trans('listing::company.placeholder.listing_id'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'category_id' => [
                    "type" => 'numeric',
                    "label" => trans('listing::company.label.category_id'),
                    "placeholder" => trans('listing::company.placeholder.category_id'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'team_id' => [
                    "type" => 'numeric',
                    "label" => trans('listing::company.label.team_id'),
                    "placeholder" => trans('listing::company.placeholder.team_id'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'lead_team_id' => [
                    "type" => 'numeric',
                    "label" => trans('listing::company.label.lead_team_id'),
                    "placeholder" => trans('listing::company.placeholder.lead_team_id'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'contact_id' => [
                    "type" => 'numeric',
                    "label" => trans('listing::company.label.contact_id'),
                    "placeholder" => trans('listing::company.placeholder.contact_id'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'agent_id' => [
                    "type" => 'numeric',
                    "label" => trans('listing::company.label.agent_id'),
                    "placeholder" => trans('listing::company.placeholder.agent_id'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'hot' => [
                    "type" => 'numeric',
                    "label" => trans('listing::company.label.hot'),
                    "placeholder" => trans('listing::company.placeholder.hot'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'exclusive' => [
                    "type" => 'numeric',
                    "label" => trans('listing::company.label.exclusive'),
                    "placeholder" => trans('listing::company.placeholder.exclusive'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'name' => [
                    "type" => 'text',
                    "label" => trans('listing::company.label.name'),
                    "placeholder" => trans('listing::company.placeholder.name'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'ref' => [
                    "type" => 'text',
                    "label" => trans('listing::company.label.ref'),
                    "placeholder" => trans('listing::company.placeholder.ref'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'ref_pf' => [
                    "type" => 'text',
                    "label" => trans('listing::company.label.ref_pf'),
                    "placeholder" => trans('listing::company.placeholder.ref_pf'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'unit' => [
                    "type" => 'text',
                    "label" => trans('listing::company.label.unit'),
                    "placeholder" => trans('listing::company.placeholder.unit'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'type' => [
                    "type" => 'text',
                    "label" => trans('listing::company.label.type'),
                    "placeholder" => trans('listing::company.placeholder.type'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'street_no' => [
                    "type" => 'text',
                    "label" => trans('listing::company.label.street_no'),
                    "placeholder" => trans('listing::company.placeholder.street_no'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'floor' => [
                    "type" => 'text',
                    "label" => trans('listing::company.label.floor'),
                    "placeholder" => trans('listing::company.placeholder.floor'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'maintain_sqft' => [
                    "type" => 'decimal',
                    "label" => trans('listing::company.label.maintain_sqft'),
                    "placeholder" => trans('listing::company.placeholder.maintain_sqft'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'latitude' => [
                    "type" => 'text',
                    "label" => trans('listing::company.label.latitude'),
                    "placeholder" => trans('listing::company.placeholder.latitude'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'longitude' => [
                    "type" => 'text',
                    "label" => trans('listing::company.label.longitude'),
                    "placeholder" => trans('listing::company.placeholder.longitude'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'country_id' => [
                    "type" => 'numeric',
                    "label" => trans('listing::company.label.country_id'),
                    "placeholder" => trans('listing::company.placeholder.country_id'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'state_id' => [
                    "type" => 'numeric',
                    "label" => trans('listing::company.label.state_id'),
                    "placeholder" => trans('listing::company.placeholder.state_id'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'location_id' => [
                    "type" => 'numeric',
                    "label" => trans('listing::company.label.location_id'),
                    "placeholder" => trans('listing::company.placeholder.location_id'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'sublocation_id' => [
                    "type" => 'numeric',
                    "label" => trans('listing::company.label.sublocation_id'),
                    "placeholder" => trans('listing::company.placeholder.sublocation_id'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'property_id' => [
                    "type" => 'numeric',
                    "label" => trans('listing::company.label.property_id'),
                    "placeholder" => trans('listing::company.placeholder.property_id'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'beds' => [
                    "type" => 'text',
                    "label" => trans('listing::company.label.beds'),
                    "placeholder" => trans('listing::company.placeholder.beds'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'fitted' => [
                    "type" => 'text',
                    "label" => trans('listing::company.label.fitted'),
                    "placeholder" => trans('listing::company.placeholder.fitted'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'building_type' => [
                    "type" => 'text',
                    "label" => trans('listing::company.label.building_type'),
                    "placeholder" => trans('listing::company.placeholder.building_type'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'handover_date' => [
                    "type" => 'date_picker',
                    "label" => trans('listing::company.label.handover_date'),
                    "placeholder" => trans('listing::company.placeholder.handover_date'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'baths' => [
                    "type" => 'text',
                    "label" => trans('listing::company.label.baths'),
                    "placeholder" => trans('listing::company.placeholder.baths'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'furnished' => [
                    "type" => 'text',
                    "label" => trans('listing::company.label.furnished'),
                    "placeholder" => trans('listing::company.placeholder.furnished'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'view' => [
                    "type" => 'text',
                    "label" => trans('listing::company.label.view'),
                    "placeholder" => trans('listing::company.placeholder.view'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'bua' => [
                    "type" => 'numeric',
                    "label" => trans('listing::company.label.bua'),
                    "placeholder" => trans('listing::company.placeholder.bua'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'price' => [
                    "type" => 'numeric',
                    "label" => trans('listing::company.label.price'),
                    "placeholder" => trans('listing::company.placeholder.price'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'emi' => [
                    "type" => 'decimal',
                    "label" => trans('listing::company.label.emi'),
                    "placeholder" => trans('listing::company.placeholder.emi'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'est_rental' => [
                    "type" => 'decimal',
                    "label" => trans('listing::company.label.est_rental'),
                    "placeholder" => trans('listing::company.placeholder.est_rental'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'plot' => [
                    "type" => 'text',
                    "label" => trans('listing::company.label.plot'),
                    "placeholder" => trans('listing::company.placeholder.plot'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'poa' => [
                    "type" => 'numeric',
                    "label" => trans('listing::company.label.poa'),
                    "placeholder" => trans('listing::company.placeholder.poa'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'frequency' => [
                    "type" => 'radios',
                    "label" => trans('listing::company.label.frequency'),
                    "placeholder" => trans('listing::company.placeholder.frequency'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'cheques' => [
                    "type" => 'numeric',
                    "label" => trans('listing::company.label.cheques'),
                    "placeholder" => trans('listing::company.placeholder.cheques'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'parking' => [
                    "type" => 'numeric',
                    "label" => trans('listing::company.label.parking'),
                    "placeholder" => trans('listing::company.placeholder.parking'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'commercial' => [
                    "type" => 'text',
                    "label" => trans('listing::company.label.commercial'),
                    "placeholder" => trans('listing::company.placeholder.commercial'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'reminder' => [
                    "type" => 'date_time_picker',
                    "label" => trans('listing::company.label.reminder'),
                    "placeholder" => trans('listing::company.placeholder.reminder'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'description' => [
                    "type" => 'text',
                    "label" => trans('listing::company.label.description'),
                    "placeholder" => trans('listing::company.placeholder.description'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'description_more' => [
                    "type" => 'textarea',
                    "label" => trans('listing::company.label.description_more'),
                    "placeholder" => trans('listing::company.placeholder.description_more'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'documents' => [
                    "type" => 'text',
                    "label" => trans('listing::company.label.documents'),
                    "placeholder" => trans('listing::company.placeholder.documents'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'photos' => [
                    "type" => 'text',
                    "label" => trans('listing::company.label.photos'),
                    "placeholder" => trans('listing::company.placeholder.photos'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'floor_plans' => [
                    "type" => 'text',
                    "label" => trans('listing::company.label.floor_plans'),
                    "placeholder" => trans('listing::company.placeholder.floor_plans'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'commission' => [
                    "type" => 'decimal',
                    "label" => trans('listing::company.label.commission'),
                    "placeholder" => trans('listing::company.placeholder.commission'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'commission_aed' => [
                    "type" => 'decimal',
                    "label" => trans('listing::company.label.commission_aed'),
                    "placeholder" => trans('listing::company.placeholder.commission_aed'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'deposit' => [
                    "type" => 'decimal',
                    "label" => trans('listing::company.label.deposit'),
                    "placeholder" => trans('listing::company.placeholder.deposit'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'deposit_aed' => [
                    "type" => 'decimal',
                    "label" => trans('listing::company.label.deposit_aed'),
                    "placeholder" => trans('listing::company.placeholder.deposit_aed'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'portals' => [
                    "type" => 'text',
                    "label" => trans('listing::company.label.portals'),
                    "placeholder" => trans('listing::company.placeholder.portals'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'other_medias' => [
                    "type" => 'text',
                    "label" => trans('listing::company.label.other_medias'),
                    "placeholder" => trans('listing::company.placeholder.other_medias'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'features' => [
                    "type" => 'text',
                    "label" => trans('listing::company.label.features'),
                    "placeholder" => trans('listing::company.placeholder.features'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'amenities' => [
                    "type" => 'text',
                    "label" => trans('listing::company.label.amenities'),
                    "placeholder" => trans('listing::company.placeholder.amenities'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'featured' => [
                    "type" => 'radios',
                    "label" => trans('listing::company.label.featured'),
                    "placeholder" => trans('listing::company.placeholder.featured'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'dewa_no' => [
                    "type" => 'text',
                    "label" => trans('listing::company.label.dewa_no'),
                    "placeholder" => trans('listing::company.placeholder.dewa_no'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'str' => [
                    "type" => 'text',
                    "label" => trans('listing::company.label.str'),
                    "placeholder" => trans('listing::company.placeholder.str'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'source_listing' => [
                    "type" => 'text',
                    "label" => trans('listing::company.label.source_listing'),
                    "placeholder" => trans('listing::company.placeholder.source_listing'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'sub_source' => [
                    "type" => 'text',
                    "label" => trans('listing::company.label.sub_source'),
                    "placeholder" => trans('listing::company.placeholder.sub_source'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'next_available' => [
                    "type" => 'date_picker',
                    "label" => trans('listing::company.label.next_available'),
                    "placeholder" => trans('listing::company.placeholder.next_available'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'notes' => [
                    "type" => 'text',
                    "label" => trans('listing::company.label.notes'),
                    "placeholder" => trans('listing::company.placeholder.notes'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'notes_temp' => [
                    "type" => 'text',
                    "label" => trans('listing::company.label.notes_temp'),
                    "placeholder" => trans('listing::company.placeholder.notes_temp'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'additional_info' => [
                    "type" => 'text',
                    "label" => trans('listing::company.label.additional_info'),
                    "placeholder" => trans('listing::company.placeholder.additional_info'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'tenanted' => [
                    "type" => 'radios',
                    "label" => trans('listing::company.label.tenanted'),
                    "placeholder" => trans('listing::company.placeholder.tenanted'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'rented_until' => [
                    "type" => 'date_picker',
                    "label" => trans('listing::company.label.rented_until'),
                    "placeholder" => trans('listing::company.placeholder.rented_until'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'maintenance_fee' => [
                    "type" => 'text',
                    "label" => trans('listing::company.label.maintenance_fee'),
                    "placeholder" => trans('listing::company.placeholder.maintenance_fee'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'property_status' => [
                    "type" => 'radios',
                    "label" => trans('listing::company.label.property_status'),
                    "placeholder" => trans('listing::company.placeholder.property_status'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'price_sqft' => [
                    "type" => 'decimal',
                    "label" => trans('listing::company.label.price_sqft'),
                    "placeholder" => trans('listing::company.placeholder.price_sqft'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'owner_signed' => [
                    "type" => 'radios',
                    "label" => trans('listing::company.label.owner_signed'),
                    "placeholder" => trans('listing::company.placeholder.owner_signed'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'property_type' => [
                    "type" => 'radios',
                    "label" => trans('listing::company.label.property_type'),
                    "placeholder" => trans('listing::company.placeholder.property_type'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'rera' => [
                    "type" => 'text',
                    "label" => trans('listing::company.label.rera'),
                    "placeholder" => trans('listing::company.placeholder.rera'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'sub_status' => [
                    "type" => 'radios',
                    "label" => trans('listing::company.label.sub_status'),
                    "placeholder" => trans('listing::company.placeholder.sub_status'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'unpublish_reason' => [
                    "type" => 'text',
                    "label" => trans('listing::company.label.unpublish_reason'),
                    "placeholder" => trans('listing::company.placeholder.unpublish_reason'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'unpublish_details' => [
                    "type" => 'text',
                    "label" => trans('listing::company.label.unpublish_details'),
                    "placeholder" => trans('listing::company.placeholder.unpublish_details'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'related_listing' => [
                    "type" => 'numeric',
                    "label" => trans('listing::company.label.related_listing'),
                    "placeholder" => trans('listing::company.placeholder.related_listing'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'notifications' => [
                    "type" => 'text',
                    "label" => trans('listing::company.label.notifications'),
                    "placeholder" => trans('listing::company.placeholder.notifications'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'published_at' => [
                    "type" => 'date_time_picker',
                    "label" => trans('listing::company.label.published_at'),
                    "placeholder" => trans('listing::company.placeholder.published_at'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'published_by' => [
                    "type" => 'numeric',
                    "label" => trans('listing::company.label.published_by'),
                    "placeholder" => trans('listing::company.placeholder.published_by'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'unpublished_at' => [
                    "type" => 'date_time_picker',
                    "label" => trans('listing::company.label.unpublished_at'),
                    "placeholder" => trans('listing::company.placeholder.unpublished_at'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'assigned_to' => [
                    "type" => 'numeric',
                    "label" => trans('listing::company.label.assigned_to'),
                    "placeholder" => trans('listing::company.placeholder.assigned_to'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'is_verified' => [
                    "type" => 'numeric',
                    "label" => trans('listing::company.label.is_verified'),
                    "placeholder" => trans('listing::company.placeholder.is_verified'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'lat' => [
                    "type" => 'text',
                    "label" => trans('listing::company.label.lat'),
                    "placeholder" => trans('listing::company.placeholder.lat'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'lng' => [
                    "type" => 'text',
                    "label" => trans('listing::company.label.lng'),
                    "placeholder" => trans('listing::company.placeholder.lng'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'watermark' => [
                    "type" => 'text',
                    "label" => trans('listing::company.label.watermark'),
                    "placeholder" => trans('listing::company.placeholder.watermark'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'temp_other_medias' => [
                    "type" => 'text',
                    "label" => trans('listing::company.label.temp_other_medias'),
                    "placeholder" => trans('listing::company.placeholder.temp_other_medias'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'temp_features' => [
                    "type" => 'text',
                    "label" => trans('listing::company.label.temp_features'),
                    "placeholder" => trans('listing::company.placeholder.temp_features'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'temp_amenities' => [
                    "type" => 'text',
                    "label" => trans('listing::company.label.temp_amenities'),
                    "placeholder" => trans('listing::company.placeholder.temp_amenities'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'migrated' => [
                    "type" => 'numeric',
                    "label" => trans('listing::company.label.migrated'),
                    "placeholder" => trans('listing::company.placeholder.migrated'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
            ]
        );

    }
}
