<?php

namespace Bixo\Listing\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind Listing policy
        'Bixo\Listing\Models\Listing' => \Bixo\Listing\Policies\ListingPolicy::class,// Bind Company policy
        'Bixo\Listing\Models\Company' => \Bixo\Listing\Policies\CompanyPolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
